var_entry Struct Reference

`#include <uboot_private.h>`

## Public Member Functions

| LIST_ENTRY (var_entry) next

## Public Attributes

char * | name
char * | value
type_attribute | type
access_attribute | access

## Detailed Description

Internal structure for an environment variable

## Member Function Documentation

## LIST_ENTRY()

var_entry::LIST_ENTRY | ( | var_entry |  | ) |

Pointer to next element in the list

## Member Data Documentation

## access

access_attribute var_entry::access

Permissions for the variable

## name

char* var_entry::name

Variable's name

## type

type_attribute var_entry::type

Type of the variable, see access_attribute

## value

char* var_entry::value

Variable's value

The documentation for this struct was generated from the following file:

- uboot_private.h